> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/form-management/security/security-items/panel-security/panelist-mapping.md).

# Panelist Mapping

## 🔃 What is panelist mapping ?

the [panelist ](/panels/panelists.md)mapping allows you to define how the [panel security item](/form-management/security/security-items/panel-security.md) will look up the panelist to load from the [panel](/panels.md) across the panels that have access to your [panel security item](/form-management/security/security-items/panel-security.md).&#x20;

Out of the box the panel column and value that will be used to look up the panelist in your panel is the  panelist id column. The panellist id is a uniquely generated value that identify the panelist in the panel.

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MC3eTxlE11druwf4XSH%2F-MC3grk0nmpYoJ2HAiA1%2Fimage.png?alt=media\&token=b19cf1e8-48c3-4ddd-a13e-c31e1bc5962f)

When the respondent enters its panelist id before taking the survey ngSurvey will look up the panelist based on that id to let you re-use its data  in your survey.

There are times though when you might need to use another value than the panelist id to let the respondent enter your survey and look up the panelist data. Using the **panelist id source type** on your [panel properties](/panels/untitled-4.md) page you may choose a different [panelist attribute](/panels/untitled.md) that will be used by the [panel security item](/form-management/security/security-items/panel-security.md) to lookup the panelist. &#x20;

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MC3eTxlE11druwf4XSH%2F-MC3g-FQiP3YFu8XSaF1%2Fimage.png?alt=media\&token=ce719499-dee3-498e-b822-2838d76c22cf)

## ✒️ Mapping Example

If you have created a panel like the following contact panel&#x20;

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MC5SjMKIQyXX-mPw-2t%2F-MC5Ta9Id6f1gModDbHu%2Fimage.png?alt=media\&token=636dd7a7-e68d-4532-81c8-862ad54a1d4f)

You could configure the panel use the panel's email as a lookup column and ask the survey respondent its email instead of the panelist id.

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MC5SjMKIQyXX-mPw-2t%2F-MC5TojGBOUFCcfljANY%2Fimage.png?alt=media\&token=7bb8a5be-93db-4798-8c05-4b145bfa0524)

Your respondents will now be asked for their email before entering the survey.

![](https://1025048312-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-M8fLhS0bmfBRyq0HdUm%2F-MC5SjMKIQyXX-mPw-2t%2F-MC5WYHqDTwDDijILllF%2Fcaptured%20\(39\).gif?alt=media\&token=7376fd2d-4048-45d7-9930-a1104863b4db)

{% hint style="info" %}
You may replace the default [panel security](/form-management/security/security-items/panel-security.md) label text "Please enter your panelist id" using the survey local [resources](/form-management/form-designer/multi-language-forms/local-resources.md).&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/form-management/security/security-items/panel-security/panelist-mapping.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
